Bug 478382

Summary: Review Request: sugar-tamtam-edit - A music and sound exploration application for Sugar
Product: [Fedora] Fedora Reporter: Aleksey Lim <alsroot>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, mail, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-03-23 09:53:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 478381    
Bug Blocks: 462625, 481513    

Description Aleksey Lim 2008-12-29 08:00:33 UTC
Spec URL:
http://people.sugarlabs.org/~alsroot/RPM/SPECS/sugar-tamtam-edit.spec
SRPM URL:
http://people.sugarlabs.org/~alsroot/RPM/SRPMS/sugar-tamtam-edit-51-1.20081229.fc10.src.rpm

Description:
TamTam is a suite of four music and sound related activities for theSugar.
TamTam is written in python with some C functions for speed-critical
services.The audio engine for TamTam is Csound.

rpmlint claims for right group, but other sugar activities also use
Sugar/Activities group

COPYING.txt says GPLv3 but TamTam*.activity/activity/activity.info says GPLv2+,
so I use GPLv2+ in spec

Comment 1 Aleksey Lim 2008-12-29 08:10:27 UTC
package demands sugar* packages from updates-testing repo

Comment 2 Fabian Affolter 2009-01-27 23:42:12 UTC
- Shouldn't the url be 'Url: http://wiki.laptop.org/go/TamTamEdit' ?

- I would like to suggest that you change the %files section to the sample in the Packaging Guidelines of the Sugar Activity [1].  This will make it easier for reviewers. 

- I guess that 'Requires: sugar' is missing

[1] https://fedoraproject.org/wiki/Packaging/SugarActivityGuidelines

Comment 3 Aleksey Lim 2009-02-05 16:00:04 UTC
(In reply to comment #2)
> - Shouldn't the url be 'Url: http://wiki.laptop.org/go/TamTamEdit' ?
> 
> - I would like to suggest that you change the %files section to the sample in
> the Packaging Guidelines of the Sugar Activity [1].  This will make it easier
> for reviewers. 
> 
> - I guess that 'Requires: sugar' is missing
> 
> [1] https://fedoraproject.org/wiki/Packaging/SugarActivityGuidelines

now I'm waiting for authors' decision about merging branch(my packages based
on) to trunk, after that I'm going re-upload all TamTam packages

Comment 4 Aleksey Lim 2009-03-23 09:53:55 UTC
since all honey activities should be installed from ASLO and distros provide only
http://wiki.sugarlabs.org/go/Development_Team/Sugar_Platform/0.84
I'm closing this bug